Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEElGamalPrivateKey

    java.lang.Object
      |
      +--org.bouncycastle.jce.provider.JCEElGamalPrivateKey

All Implemented Interfaces:
  DHKey, DHPrivateKey, ElGamalKey, ElGamalPrivateKey, java.security.Key, PKCS12BagAttributeCarrier, java.security.PrivateKey, java.io.Serializable

public class JCEElGamalPrivateKey
extends java.lang.Object
implements ElGamalPrivateKey, DHPrivateKey, PKCS12BagAttributeCarrier

See Also:
  Serialized Form

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Constructor Summary
`protected` | `JCEElGamalPrivateKey()`

Method Summary
`java.lang.String` | `getAlgorithm()`
`DEREncodable` | `getBagAttribute(DERObjectIdentifier oid)`
`java.util.Enumeration` | `getBagAttributeKeys()`
`byte[]` | `getEncoded()` Return a PKCS8 representation of the key.
`java.lang.String` | `getFormat()` return the encoding format we produce in getEncoded().
`ElGamalParameterSpec` | `getParameters()`
`DHParameterSpec` | `getParams()` Returns the key parameters.
`java.math.BigInteger` | `getX()` Returns the private value, `x`.
`void` | `setBagAttribute(DERObjectIdentifier oid, DEREncodable attribute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEElGamalPrivateKey

    protected JCEElGamalPrivateKey()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  return the encoding format we produce in getEncoded().
  Specified by:
    `getFormat` in interface `java.security.Key`
  Returns:
    the string "PKCS#8"

### getEncoded

    public byte[] getEncoded()

  Return a PKCS8 representation of the key. The sequence returned represents a full PrivateKeyInfo object.
  Specified by:
    `getEncoded` in interface `java.security.Key`
  Returns:
    a PKCS8 representation of the key.

### getParameters

    public ElGamalParameterSpec getParameters()

  Specified by:
    `getParameters` in interface `ElGamalKey`

### getParams

    public DHParameterSpec getParams()

  Description copied from interface: `DHKey`
  Returns the key parameters.
  Specified by:
    `getParams` in interface `DHKey`
  Following copied from interface: `javax.crypto.interfaces.DHKey`
  Returns:
    the key parameters

### getX

    public java.math.BigInteger getX()

  Description copied from interface: `DHPrivateKey`
  Returns the private value, `x`.
  Specified by:
    `getX` in interface `ElGamalPrivateKey`
  Following copied from interface: `javax.crypto.interfaces.DHPrivateKey`
  Returns:
    the private value, `x`

### setBagAttribute

    public void setBagAttribute(DERObjectIdentifier oid,
                                DEREncodable attribute)

  Specified by:
    `setBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttribute

    public DEREncodable getBagAttribute(DERObjectIdentifier oid)

  Specified by:
    `getBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttributeKeys

    public java.util.Enumeration getBagAttributeKeys()

  Specified by:
    `getBagAttributeKeys` in interface `PKCS12BagAttributeCarrier`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD